PloneFormGen

  • Hallo


    Ich möchte gerne PloneFormGen installieren. Ich habe mich an die zahlreichen Anleitungen im Netzt gehalten, habe als "Products.PloneFormGen" in die buildout.cfg eingetragen und danach buildout.exe ausgeführt. So weit ich das erkennen kann hat er das Paket auch gefunden und installiert:


    Getting distribution for 'Products.PloneFormGen'.
    no previously-included directories found matching 'Products\PloneFormGen\tests'
    Installing Products.PloneFormGen 1.7.4
    Caused installation of a distribution:
    products.ploneformgen 1.7.4
    with a different project name.
    Got products.ploneformgen 1.7.4.
    Getting distribution for 'collective.js.jqueryui'.
    warning: no files found matching '*.pdf' under directory 'collective'
    warning: no files found matching '*.po' under directory 'collective'
    warning: no files found matching '*.pot' under directory 'collective'
    warning: no previously-included files matching '*.pyc' found anywhere in distrib
    ution
    warning: no previously-included files matching '*~' found anywhere in distributi
    on
    Got collective.js.jqueryui 1.9.1.1.
    Getting distribution for 'Products.PythonField>=1.1.3'.
    Installing Products.PythonField 1.1.3
    Caused installation of a distribution:
    products.pythonfield 1.1.3
    with a different project name.
    Got products.pythonfield 1.1.3.
    Getting distribution for 'Products.TemplateFields>=1.2.4'.
    Installing Products.TemplateFields 1.2.5
    Caused installation of a distribution:
    products.templatefields 1.2.5
    with a different project name.
    Got products.templatefields 1.2.5.
    Getting distribution for 'Products.TALESField>=1.1.3'.
    Installing Products.TALESField 1.1.3
    Caused installation of a distribution:
    products.talesfield 1.1.3
    with a different project name.
    Got products.talesfield 1.1.3.
    Uninstalling service-zeo.
    Uninstalling service.
    Uninstalling run-zeo.
    Uninstalling run-instance.
    Uninstalling instance.
    Uninstalling zeo.
    Installing zeo.
    Created directory C:\Plone42\parts\zeo
    Created directory C:\Plone42\parts\zeo\etc
    Created directory C:\Plone42\parts\zeo\var
    Created directory C:\Plone42\parts\zeo\log
    Created directory C:\Plone42\parts\zeo\bin
    Wrote file C:\Plone42\parts\zeo\etc\zeo.conf
    Wrote file C:\Plone42\parts\zeo\bin\zeoctl
    Changed mode for C:\Plone42\parts\zeo\bin\zeoctl to 777
    Wrote file C:\Plone42\parts\zeo\bin\runzeo
    Changed mode for C:\Plone42\parts\zeo\bin\runzeo to 777
    Generated script 'C:\\Plone42\\bin\\zeo'.
    Generated script 'C:\\Plone42\\bin\\zeopack'.
    Generated script 'C:\\Plone42\\bin\\repozo'.
    Changed mode for C:\Plone42\bin\zeo_runzeo.bat to 755
    Changed mode for C:\Plone42\bin\zeo_service.py to 755
    Generated script 'C:\\Plone42\\bin\\zeo_service'.
    Installing instance.
    Generated script 'C:\\Plone42\\bin\\instance'.
    Installing run-instance.
    Generated script 'C:\\Plone42\\bin\\run-instance'.
    Installing run-zeo.
    Generated script 'C:\\Plone42\\bin\\run-zeo'.
    Installing service.
    Installing service-zeo.
    *************** PICKED VERSIONS ****************
    [versions]
    collective.js.jqueryui = 1.9.1.1
    enfold.recipe.winservice = 0.7.2
    pillow = 1.7.7
    products.ploneformgen = 1.7.4
    products.pythonfield = 1.1.3
    products.talesfield = 1.1.3
    products.templatefields = 1.2.5


    *************** /PICKED VERSIONS ***************





    Danach habe ich den Zope-Server im ZMI neugestartet. Jetzt sollte ja eigentlich die Erweiterung auf der Konfigurationsseite auftauchen. Das tut sie aber leider nicht. Was mache ich falsch?


    Vielen Dank

  • Hallo,


    Du hast PloneFormGen deinem Plone zwar bekannt gemacht, aber nicht installiert. In der Konfigurationsseite git es einen Link Erweiterungen, dort musst du jetzt erst PloneFormGen installieren.


    Wenn es da nicht auftaucht melde dich nochmal.


    Gruss Pumukel

    Die beste Informationsquelle sind Leute, die versprochen haben, nichts weiterzuerzählen.


    Marcel Mart
    frz. Schriftsteller

  • Hallo


    Danke für die Antwort.
    Das ist ja eben das Problem. Die Erweiterung erscheint nicht in der Konfigurationsseite, daher kann ich sie auch nicht installieren. Mittlerweile habe ich es mal mit Plone 4.1 versucht, und dort erscheint die Erweiterung auf der Seite, aber wenn ich sie installieren will kommt eine Fehlermeldung.


    Viele Grüße

  • Hi


    Ich habe jetzt in Plone 4.2. einfach eine ältere Version (1.6.0b4) von PloneFormGen benutzt. Jetzt erscheint die Erweiterung in der Liste, jedoch kommt beim Installieren folgender Fehler:


    Traceback (innermost last):
    Module ZPublisher.Publish, line 126, in publish
    Module ZPublisher.mapply, line 77, in mapply
    Module ZPublisher.Publish, line 46, in call_object
    Module Products.CMFQuickInstallerTool.QuickInstallerTool, line 580, in installProducts
    Module Products.CMFQuickInstallerTool.QuickInstallerTool, line 500, in installProduct
    - __traceback_info__: ('PloneFormGen',)
    Module Products.ExternalMethod.ExternalMethod, line 234, in __call__
    - __traceback_info__: ((<PloneSite at /Plone>,), {}, None)
    Module c:\plone42\eggs\products.ploneformgen-1.6.0b4-py2.6.egg\Products\PloneFormGen\Extensions\Install.py, line 24, in install
    AttributeError: getImportContextID



    Kann mir vielleicht jemand helfen, was dieser Fehler zu bedeuten hat, und wie ich ihn beheben kann?


    Vielen Dank und viele Grüße